﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using ChartError.ViewModel;

namespace ChartError {
  /// <summary>
  /// Interaction logic for ChartWindow.xaml
  /// </summary>
  public partial class ChartWindow : Window {

    private ChartViewModel _ViewModel;

    public ChartWindow() {
      InitializeComponent();
    }

    private void buttonChange_Click(object sender, RoutedEventArgs e) {
      if (_ViewModel == null) {
        _ViewModel = (sender as Button).DataContext as ChartViewModel;
        if (_ViewModel == null)
          return;
      }
      _ViewModel.ChartDataList[0].NotifyEntityChanged();
    }
  }
}